type Formatter = (text: string) => string;
type ChalkLike = Formatter & {
    bold: ChalkLike;
    red: ChalkLike;
    blue: ChalkLike;
    cyan: ChalkLike;
    underline: ChalkLike;
    greenBright: ChalkLike;
};
export declare const highlightFAIR: (letter: string, opts?: {
    chalk?: ChalkLike;
    color?: Formatter;
}) => string;
export declare const principleNames: {
    F: string;
    A: string;
    I: string;
    R: string;
};
export declare const principles: {
    F: string;
    F1: string;
    F2: string;
    F3: string;
    F4: string;
    A: string;
    A1: string;
    A1_1: string;
    A1_2: string;
    A2: string;
    I: string;
    I1: string;
    I2: string;
    I3: string;
    R: string;
    R1: string;
    R1_1: string;
    R1_2: string;
    R1_3: string;
};
export type Principle = keyof typeof principles;
export type PrincipleName = 'F' | 'A' | 'I' | 'R';
export type PrincipleLookup = Principle | '*' | 'F*' | 'A*' | 'I*' | 'R*';
export type FormatOptions = {
    chalk?: ChalkLike;
    title?: Formatter;
    header?: Formatter;
    enumerator?: Formatter;
    indent?: boolean;
    showTitle?: boolean;
    showHeader?: boolean;
};
export declare function formatPrinciple(principle: Principle, opts?: FormatOptions): string;
export declare function formatPrinciples(keys?: PrincipleLookup | PrincipleLookup[], opts?: FormatOptions): string;
export declare function createPrincipleUrl(principle?: Principle): string;
export {};
//# sourceMappingURL=index.d.ts.map